Index: code/branches/Presentation_HS17_merge/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/controllers/DroneController.cc	(revision 11746)
+++ code/branches/Presentation_HS17_merge/src/orxonox/controllers/DroneController.cc	(revision 11764)
@@ -49,4 +49,5 @@
         RegisterObject(DroneController);
 
+        this->setTeam(0);
         this->owner_ = nullptr;
         this->drone_ = nullptr;
@@ -164,4 +165,5 @@
             }
         }
+        
         SUPER(AIController, tick, dt);
     }
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/CMakeLists.txt
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/CMakeLists.txt	(revision 11746)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/CMakeLists.txt	(revision 11764)
@@ -8,3 +8,4 @@
   Destroyer.cc
   StoryModePawn.cc
+  ShootableObstacle.cc
 )
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.cc	(revision 11764)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.cc	(revision 11764)
@@ -0,0 +1,63 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Leon Rigoni
+ *
+ */
+
+#include "ShootableObstacle.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    RegisterClass(ShootableObstacle);
+
+    ShootableObstacle::ShootableObstacle(Context* context) : Pawn(context)
+    {
+        RegisterObject(ShootableObstacle);
+        this->enableCollisionCallback();
+    }
+
+    bool ShootableObstacle::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
+    {
+        if (GameMode::isMaster() && enableCollisionDamage_)
+        {
+            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
+            if (victim)
+            {
+                float damage = this->collisionDamage_ * (victim->getVelocity() - this->getVelocity()).length();
+                victim->hit(nullptr, contactPoint, ownCollisionShape, damage);
+            }
+        }
+
+        return false;
+    }
+
+    void ShootableObstacle::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(ShootableObstacle, XMLPort, xmlelement, mode);
+
+        XMLPortParam(ShootableObstacle, "enablecollisiondamage", setEnableCollisionDamage, getEnableCollisionDamage, xmlelement, mode).defaultValues(false);
+        XMLPortParam(ShootableObstacle, "collisiondamage", setCollisionDamage, getCollisionDamage, xmlelement, mode).defaultValues(1);
+    }
+
+}
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.h	(revision 11764)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/ShootableObstacle.h	(revision 11764)
@@ -0,0 +1,66 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Leon Rigoni
+ *
+ */
+#ifndef _ShootableObstacle_H__
+#define _ShootableObstacle_H__
+#include "worldentities/pawns/Pawn.h"
+
+namespace orxonox // tolua_export
+{
+    /**
+    @brief
+        This class encapsulates a pawn (so an object with health) with the addition, that it damages other objects when it hits them.
+    */
+
+    class _OrxonoxExport ShootableObstacle
+        : public Pawn
+    {
+	    public:
+	    	ShootableObstacle(Context* context);
+	        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+	        virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
+
+	        inline void setCollisionDamage(float c)
+	                { this->collisionDamage_ = c; }
+
+	        inline float getCollisionDamage()
+	            { return this->collisionDamage_; }
+
+	        inline void setEnableCollisionDamage(bool c)
+	        {
+	            this->enableCollisionDamage_ = c;
+	            this->enableCollisionCallback();
+	        }
+
+	        inline bool getEnableCollisionDamage()
+	            { return this->enableCollisionDamage_; }
+
+	    private:
+	    	float collisionDamage_;
+	        bool enableCollisionDamage_;
+    };
+}
+
+#endif
